- Qt 6.8
- Qt Core
- C++ Classes
- QScopedPropertyUpdateGroup
- Qt 6.8.1 Reference Documentation

# QScopedPropertyUpdateGroup Class

RAII class around Qt::beginPropertyUpdateGroup()/Qt::endPropertyUpdateGroup(). More...

Header: | `#include <QScopedPropertyUpdateGroup>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Since: | Qt 6.6

- List of all members, including inherited members

## Public Functions

| QScopedPropertyUpdateGroup()
| ~QScopedPropertyUpdateGroup()

## Detailed Description

This class calls Qt::beginPropertyUpdateGroup() in its constructor and Qt::endPropertyUpdateGroup() in its destructor, making sure the latter function is reliably called even in the presence of early returns or thrown exceptions.

Note: Qt::endPropertyUpdateGroup() may re-throw exceptions thrown by binding evaluations. This means your application may crash (`std::terminate()` called) if another exception is causing QScopedPropertyUpdateGroup's destructor to be called during stack unwinding. If you expect exceptions from binding evaluations, use manual Qt::endPropertyUpdateGroup() calls and `try`/`catch` blocks.

See also QProperty.

## Member Function Documentation

### QScopedPropertyUpdateGroup::QScopedPropertyUpdateGroup()

Calls Qt::beginPropertyUpdateGroup().

### QScopedPropertyUpdateGroup::~QScopedPropertyUpdateGroup()

Calls Qt::endPropertyUpdateGroup().